# List Folders

Source: https://www.digiparser.com/docs/api/listFolders

# List Folders

Server URL`loading...`

GET

/`api`/`v1`/`parsers`/`{parserId}`/`folders`

Send

Authorization

Path

List folders for a parser, including document counts and auto-assignment settings.

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

parserId\*string

The ID of the parser

Format`uuid`

## [Response Body](#response-body)

### 200

`application/json`

### 401

`application/json`

### 404

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X GET "https://api.digiparser.com/api/v1/parsers/d1458cd7-8692-488f-8b3f-0fddade05f9c/folders"
```

200401404

```
{
  "folders": [
    {
      "id": "76e4f0ef-15d0-4bde-8c0e-43d361c0795c",
      "name": "Invoices",
      "slug": "invoices",
      "color": "#2563eb",
      "parentId": null,
      "documentCount": 24,
      "directDocumentCount": 12,
      "childFolderCount": 3,
      "pathIds": [
        "76e4f0ef-15d0-4bde-8c0e-43d361c0795c"
      ],
      "pathNames": [
        "Invoices"
      ],
      "pathLabel": "Invoices",
      "depth": 0,
      "hasAutoAssign": false,
      "autoAssignment": null,
      "createdAt": "2026-01-23T18:11:47.319Z",
      "updatedAt": "2026-01-23T18:12:29.860Z"
    }
  ],
  "unfolderedCount": 12,
  "totalCount": 128
}
```

```
{
  "error": true,
  "message": "Parser ID mismatch"
}
```

```
{
  "error": true,
  "message": "Document not found",
  "notFound": [
    {
      "type": "documentId",
      "value": "string"
    }
  ]
}
```

[

Reprocess Document POST

Re-run extraction for one existing document using the parser's current settings. If document type rules are enabled, the document is checked again and can return to \`skipped\` instead of being extracted.

](/docs/api/reprocessParserDocument)[

Create Folder POST

Create a folder for a parser.

](/docs/api/createFolder)